HERBSTCLIENT(1)

NAME
herbstclient - sends commands to a running herbstluftwm instance via X

SYNOPSIS

herbstclient [OPTIONS] COMMAND [ARGS ...]

herbstclient [OPTIONS] [--wait|--idle] [FILTER ...]

DESCRIPTION

Sends a COMMAND with its (optional) arguments ARGS to a running herbstluftwm(1) instance via Xlib. If COMMAND has an output, it is printed by herbstclient. If output does not end with a newline, then a newline is added to improve readability.

See herbstluftwm(1) for a list of available COMMANDs and their ARGS.

If --wait or --idle is passed, then it waits for hooks from herbstluftwm. The hook is printed, if it matches the optional FILTER. FILTERs are regular expressions. For a list of available hooks see herbstluftwm(1).

OPTIONS

-n, --no-newline
    Do not print a newline if output does not end with a newline.

-0, --print0
    Use the null character as delimiter between the output of hooks.

-l, --last-arg
    When using -i or -w, only print the last argument of the hook.

-i, --idle
    Wait for hooks instead of executing commands.

-w, --wait
    Same as --idle but exit after first --count hooks.

-c, --count COUNT
    Let --wait exit after COUNT hooks were received and printed. The default of COUNT is 1.

-q, --quiet
    Do not print error messages if herbstclient cannot connect to the running herbstluftwm instance.

-v, --version
    Print the herbstclient version. To get the herbstluftwm version, use herbstclient version.

-h, --help
    Print the herbstclient usage with its command line options.

ENVIRONMENT VARIABLES

DISPLAY
    Specifies the DISPLAY to use, i.e. where herbstluftwm(1) is running.

EXIT STATUS

Returns the exit status of the COMMAND execution in herbstluftwm(1) server.

0
    Success.

other
    Failure. See herbstluftwm(1) for a list of error codes.

BUGS

It waits endlessly for a response from herbstluftwm (there is no timeout yet).

See the herbstluftwm distribution BUGS file.

COMMUNITY

Feel free to join the IRC channel #herbstluftwm on irc.freenode.net.

AUTHOR

herbstclient was written by Thorsten Wißmann. All contributors are listed in the herbstluftwm distribution AUTHORS file.

RESOURCES

Homepage: http://herbstluftwm.org

Github page: http://github.com/herbstluftwm/herbstluftwm

Patch submission and bug reporting:

    hlwm@lists.herbstluftwm.org

COPYING

Copyright 2011-2014 Thorsten Wißmann. All rights reserved.

This software is licensed under the "Simplified BSD License". See LICENSE for details.